---
document: modulemd
version: 2
data:
  name: mariadb
  stream: 10.3
  version: 8030020210419150013
  context: 30b713e6
  summary: MariaDB Module
  description: >-
    MariaDB is a community developed branch of MySQL. MariaDB is a multi-user, multi-threaded
    SQL database server. It is a client/server implementation consisting of a server
    daemon (mysqld) and many different client programs and libraries. The base package
    contains the standard MariaDB/MySQL client programs and generic MySQL files.
  license:
    module:
    - MIT
  xmd:
    mbs:
      buildrequires:
        platform:
          context: 00000000
          filtered_rpms: []
          koji_tag: module-centos-8.3.0-build
          ref: virtual
          stream: el8.3.0
          stream_collision_modules: 
          ursine_rpms: 
          version: 2
      commit: 4f153e4653b9c96ea87ca36586884acf56ac4804
      mse: TRUE
      rpms:
        Judy:
          ref: 1d68f57fb9e72f4eba008c73f2b82dc0db31a586
        asio:
          ref: edf4dd9603768acaff85eac8cc720d1a1351f42f
        galera:
          ref: 29ac8f66af9ce546a5dc32afd7bee46243077ada
        mariadb:
          ref: bc80396207c22012a0d7db4349972cc8a9fef0c9
      scmurl: git+https://git.centos.org/modules/mariadb?#4f153e4653b9c96ea87ca36586884acf56ac4804
  dependencies:
  - buildrequires:
      platform: [el8.3.0]
    requires:
      platform: [el8]
  references:
    community: http://mariadb.org
    documentation: https://mariadb.com/kb/en/library/documentation/
    tracker: http://bugzilla.redhat.com
  profiles:
    client:
      rpms:
      - mariadb
    galera:
      rpms:
      - mariadb-server
      - mariadb-server-galera
    server:
      rpms:
      - mariadb-server
  api:
    rpms:
    - mariadb
    - mariadb-server
  filter:
    rpms:
    - Judy-devel
    - asio-devel
  buildopts:
    rpms:
      macros: >
        %runselftest 1

        %ignore_testsuite_result 0
  components:
    rpms:
      Judy:
        rationale: MariaDB dependency for OQgraph computation engine
        repository: git+https://git.centos.org/rpms/Judy
        cache: https://git.centos.org/repo/pkgs/Judy
        ref: 1d68f57fb9e72f4eba008c73f2b82dc0db31a586
        buildorder: 4
        arches: [aarch64, i686, ppc64le, x86_64]
      asio:
        rationale: Galera dependency for asynchronous I/O operation
        repository: git+https://git.centos.org/rpms/asio
        cache: https://git.centos.org/repo/pkgs/asio
        ref: edf4dd9603768acaff85eac8cc720d1a1351f42f
        buildorder: 12
        arches: [aarch64, i686, ppc64le, x86_64]
      galera:
        rationale: Galera package for MariaDB server replication
        repository: git+https://git.centos.org/rpms/galera
        cache: https://git.centos.org/repo/pkgs/galera
        ref: 29ac8f66af9ce546a5dc32afd7bee46243077ada
        buildorder: 16
        arches: [aarch64, i686, ppc64le, x86_64]
      mariadb:
        rationale: MariaDB package
        repository: git+https://git.centos.org/rpms/mariadb
        cache: https://git.centos.org/repo/pkgs/mariadb
        ref: bc80396207c22012a0d7db4349972cc8a9fef0c9
        buildorder: 8
        arches: [aarch64, i686, ppc64le, x86_64]
...
